# You can place the script of your game in this file.

init:
    # Declare images below this line, using the image statement.
    # eg. image eileen happy = "eileen_happy.png"

    # Declare characters used by this game.
    $ g = Character('Fred', color="#ff3333")
    $ b = Character('Me', color="#3333ff")
    $ d = Character('Dad')
    $ m = Character('Mom')
    $ f = Character('Forge')

init python:

    # Give us some space on the right side of the screen.
    style.window.right_padding = 100

    def toggle_skipping():
        config.skipping = not config.skipping

    def button_game_menu():
        
        # to save typing
        ccinc = renpy.curried_call_in_new_context

        ui.vbox(xpos=0.99, ypos=0.98, xanchor='right', yanchor='bottom')
        ui.textbutton("Save", clicked=ccinc("_game_menu_save"), xminimum=80)
        ui.textbutton("Load", clicked=ccinc("_game_menu_load"), xminimum=80)
        ui.textbutton("Prefs", clicked=ccinc("_game_menu_preferences"), xminimum=80)
        ui.close()


    config.overlay_functions.append(button_game_menu)

# The game starts here.
label start:

    "..."
    "That dream..."
    "That dream was too vivid, too frightening..."
    "I can't believe what I saw."
    "Images too... too disturbing for words."
    "Death. The deaths of thousands."
    "The death of a people."
    "The death of the land."
    "... no. I need to forget about that dream."
    "I open my eyes."
    b "!!!"
    "The sun's already out. I slept in. Meaning that he's probably about to leave already."
    "I had better get going, to make sure I get to see him off."
    "Today's the last chance I'll have to talk to him, after all."

label find_fred:

    "I find him where I'd hoped to find him."
    "There he is, sitting right between the cornfield and the ocean."
    "Fredariko Duncan."
    "Fred."
    "My best friend."
    "My only friend."
    "I've known him my whole life."
    "Fred is two years older than me, making him seventeen."
    "He's really calm about everything. Very mature."
    "I admire him. I aspire to be like him."
    "..."
    "Ream—that is, our village—is a boring place, as I see it."
    "But Fred enjoys it."
    "He sits here, between the cornfield and the ocean, and gazes out into the glittering expanse of water."
    "He never explained to me how he was able to sit and do nothing, how he was able to enjoy existing in that simple way."
    "He didn't need to."
    "Watching him watch the ocean..."
    "It instilled a sense of calm in me."
    "Watching him watch the ocean, I could forget."
    "I could forget about the fact that I had nightmares."
    "I could forget about the fact that those nightmares held meaning."
    "I could forget about..."
    "... the fact that my time is limited."
    "Right."
    "I snap back to the present."
    b "Fred!"
    g "Matt."
    b "I knew I'd find you here."
    "I try to chuckle. It's hard work."
    "From the stiffening of his shoulders, he can tell I'm faking it."
    "Watching his back, I continue."
    b "I came to say good-bye."
    g "I'll be back in a few months."
    "His face says otherwise."
    g "It's not a permanent thing."
    b "I sure hope you do."
    b "Ream will always welcome you back, Fred. And I'll always be here."
    g "And I'll always be {i}here{/i}."
    "With a sweeping gesture, he indicates the cornfields."
    "These were the same cornfields we had spent our younger days running through carelessly."
    "He turns from the ocean to face me."
    "I find myself unable to look him in the eye."
    "What am I so scared of?"
    "My dream?"
    "No, that's a fear I can deal with."
    "I've lived with these premonition-nightmares my whole life."
    "I think what I'm afraid of..."
    "... is Fred seeing me scared."
    g "Come on, Matt. I'll be back before you know it."
    b "Fred, I—"
    g "What is it?"

menu tell_about_dream:
    "Fred, I had another dream last night.":
        jump told_about_dream
    "N-nothing!":
        jump n—nothing

label n—nothing:

    b "N-nothing!"
    "What am I doing?"
    "I don't want to worry him."
    "He's leaving town, moving, heading for the nearby Ebony Fields."
    "I have no business burdening him with depressing things like my dream."
    "To think, I almost told him..."
    $ told = False
    b "Just..."
    g "Hmm?"
    b "Take care."
    g "Yeah, I will. Thanks, Matt."
    b "And you'll come back, right?"
    "I wonder why my right eye feels like shutting and staying shut."
    "I swear I'm not tearing up."
    "I can't be! He'll be back soon, right?"
    "... right?"
    g "Right. I promise."
    b "I'll be right here."
    g "And I'll come back to this place."
    "He extends his hand."
    "I take it, clenching my eyes tight to keep the tears inside."
    "I feel a tugging sensation, and next thing—"
    "I'm in his arms."
    g "I promise."
    "I have no words... I nod 'yes' while sobbing."
    "And he doesn't say anything else, either."
    "He just holds me."
    "A last embrace."
    "My first, best, only, and last friend."
    "He lets go."
    "It's time for him to leave."
    "He doesn't say good-bye."
    "I already said my good-bye."
    "I prefaced this encounter with it."
    "He disappears without a sound."
    "All I can hear is the wind whistling through the corn, and the waves crashing on the rocky beach."

    jump three_months_later

label told_about_dream:

    $ told = True
    b "Fred, I had another dream last night."
    g "What about?"
    b "Death. Ebony Fields, Fred. You can't go."
    "Ebony Fields is the huge city a few days' ride east."
    "He's moving there with his parents, against his wishes."
    "And against mine, of course."
    g "I have to."
    b "If you go, the city will die."
    "I don't know what it means."
    "All I know is that I dreamt it, and that my dreams aren't normal."
    g "You mean, the people?"
    b "The city will die."
    "But what does that mean?"
    "I don't know."
    g "I'm sure it was just a dream."
    g "Must have been one terrible dream."
    "I can tell he's lying."
    "He knows as well as I that it was no normal terrible dream."
    "My dreams are {i}never{/i} normal dreams."
    "He's trying to comfort me."
    "... Fred..."
    b "You don't understand."
    "Neither do I."
    g "I understand."
    "Liar."
    g "I understand, and I'll be back."
    g "I promise."
    "He extends his hand."
    "I take it, clenching my eyes tight to keep the images from my dream away."
    "I feel a tugging sensation, and next thing—"
    "I'm in his arms."
    g "I promise."
    "I have no words..."
    "I just don't want this moment to end."
    "And he doesn't say anything else, either."
    "He just holds me."
    "A last embrace."
    "My first, best, only, and last friend."
    "He lets go."
    "It's time for him to leave."
    "He doesn't say good-bye."
    "I already said my good-bye."
    "I prefaced this encounter with it."
    "He disappears without a sound."
    "All I can hear is the wind whistling through the corn, and the waves crashing on the rocky beach."

    jump three_months_later

label three_months_later:

    "The days dragged on."
    "Fred wasn't there."
    "He was off somewhere, off in Ebony Fields."
    "I sat on the shore day after day."
    "Day after day, watching the ocean."
    "Even though it was the same ocean as always, it wasn't the same ocean anymore because {i}he{/i} wasn't there, watching it with me."
    "The beach was deserted."
    "The rainy season arrived."
    "I remained."
    "Day after day, watching the ocean."
    "Hoping that those words..."
    g "I'll be back. I promise."
    "... that those words were in fact an unbreakable promise."
    "That some day I would look to my left and see him there by my side, his hazel eyes fixed on the rolling waves..."
    "He told me that he'd be back in a few months."
    "Two and a half months came and went, and he didn't come back."
    "I grew anxious."
    "I had only a fuzzy idea of {i}why{/i} his family had moved."
    "There had been some talk of a wise man in Ebony Fields who could cure some ailment Fred had."
    "But that was just a rumor, as far as I knew."
    "So maybe there was something else."
    "And maybe he was being kept away from Ream."
    "Even with these thoughts, though..."
    "I kept waiting for him."
    "I waited by the ocean, watching the waves but seeing his face."
    "I waited in the cornfields, listening to the wind but hearing his voice."
    "I couldn't sleep at night."
    "I couldn't eat at mealtimes."
    "I couldn't focus on my work, and, after a while, the old fisherman told me to go home."
    "He told me he didn't need me anymore."
    "So I went home, and I didn't go back the next day."
    "I became a burden for my family."
    "I was turning sixteen soon, and wasn't independent yet."
    "Ream was too small, too poor to afford someone like me."
    if told:
        "Or maybe those were all superfluous reasons."
        "Maybe I didn't care about my place in the village."
        "Maybe I just wanted to make sure he was alright."
        "Maybe it was that dream I had the day of his departure."
        "... either way..."
    else:
        "And besides, I was worried."
        "I hadn't seen him in so long."
        "Our separation was the cause for my distress."
        "And so,"
    "I set out."
    "My parents objected, of course."
    "But I didn't care."
    "No one had cared when I had objected to Fred's departure."
    "Why should {i}I{/i} stay?"
    "In the end, they let me have my way."
    "I couldn't help a fleeting feeling of triumph as I saddled the horse and rode off east."
    "It was triumph because I was finally going to see Fred again, and..."
    "... it was fleeting, because I knew I wasn't."
    "With mixed emotions of fear and glee, I made my way toward Ebony Fields."
    if told:
        jump calm
    else:
        jump rush

label calm:

    jump prayer

label suicide_one:
    
    "** PLACEHOLDER ** So I struck myself down in the Shrine. Hurrah. CHANCE AT NEUTRAL END/BAD END 50-50 ** PLACEHOLDER **"
    jump inferno

label prayer:
    "** PLACEHOLDER ** I was calm, I went and prayed in the Shrine, etc. CHANCE AT GOOD END/NEUTRAL END 50-50 ** PLACEHOLDER **"
    jump inferno
    
label inferno:

return